OwnerID property example

Sub OwnerID_Example()

' This example adds a circle to the drawing and then finds the OwnerID for the object.

    Dim cenPt(0 To 2) As Double: cenPt(0) = 4: cenPt(1) = 2: cenPt(2) = 0

    Dim dRadius As Double: dRadius = 2.5

    'Add the arc to the .dwg

    Dim myCircle As AcadCircle

    Set myCircle = ThisDrawing.ModelSpace.AddCircle(cenPt, dRadius)

    ZoomAll

    MsgBox "The OwnerID for the Circle object is: " & myCircle.OwnerID

End Sub

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.